concepts.hpp File Reference

## Classes

struct | ranges::v3::concepts::Container
struct | ranges::v3::concepts::LvalueContainerLike
struct | ranges::v3::concepts::Reservable
struct | ranges::v3::concepts::ReserveAndAssignable
struct | ranges::v3::concepts::SemiContainer

## Typedefs

template<typename T >
using | ranges::v3::Container = concepts::models< concepts::Container, T >
template<typename T >
using | ranges::v3::LvalueContainerLike = concepts::models< concepts::LvalueContainerLike, T >
template<typename C >
using | ranges::v3::RandomAccessReservable = meta::strict_and< Reservable< C >, RandomAccessRange< C > >
template<typename C >
using | ranges::v3::Reservable = concepts::models< concepts::Reservable, C >
template<typename C , typename I >
using | ranges::v3::ReserveAndAssignable = concepts::models< concepts::ReserveAndAssignable, C, I >
template<typename T >
using | ranges::v3::SemiContainer = concepts::models< concepts::SemiContainer, T >